> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Results (expanded)

> Search for results with expanded data including new sections.



## OpenAPI

````yaml GET /results/new
openapi: 3.0.3
info:
  title: Multi-Server API
  version: 1.0.0
servers:
  - url: https://api.defaultservice.com/v1
    description: Default service base URL
security:
  - basicAuth: []
paths:
  /results/new:
    servers:
      - url: https://api.smartermeasure.com/v3
        description: SmarterMeasure User Service
    get:
      summary: >-
        Returns result information for one or more users based on filters
        provided.
      parameters:
        - in: query
          name: UserID
          schema:
            type: string
          description: This can be a comma sep. list of SmarterMeasure user IDs.
        - in: query
          name: InternalID
          schema:
            type: string
          description: InternalID
        - in: query
          name: FirstName
          schema:
            type: string
          description: FirstName
        - in: query
          name: LastName
          schema:
            type: string
          description: LastName
        - in: query
          name: EmailAddress
          schema:
            type: string
          description: EmailAddress
        - in: query
          name: Gender
          schema:
            type: string
          description: Gender
        - in: query
          name: AdminGroupUserName
          schema:
            type: string
          description: AdminGroupUserName
        - in: query
          name: TestingGroupUserName
          schema:
            type: string
          description: TestingGroupUserName
        - in: query
          name: IncludeAccountRequestedData
          schema:
            type: boolean
            default: false
          description: IncludeAccountRequestedData
        - in: query
          name: StartDate
          schema:
            type: string
          description: >-
            StartDate - When wanting to filter by date started, this is the
            start date of the date range.
        - in: query
          name: EndDate
          schema:
            type: string
          description: >-
            EndDate - When wanting to filter by date started, this is the end
            date of the date range.
        - in: query
          name: UpdateStartDate
          schema:
            type: string
          description: >-
            UpdateStartDate - When wanting to filter by date updated, this is
            the start date of the date range.
        - in: query
          name: UpdateEndDate
          schema:
            type: string
          description: >-
            UpdateEndDate - When wanting to filter by date updated, this is the
            end date of the date range.
        - in: query
          name: CompletionStartDate
          schema:
            type: string
          description: >-
            CompletionStartDate - When wanting to filter by date completed, this
            is the start date of the date range.
        - in: query
          name: CompletionEndDate
          schema:
            type: string
          description: >-
            CompletionEndDate - When wanting to filter by date completed, this
            is the end date of the date range.
        - in: query
          name: IncompleteOnly
          schema:
            type: boolean
            default: false
          description: IncompleteOnly
        - in: query
          name: CompleteOnly
          schema:
            type: boolean
            default: false
          description: CompleteOnly
        - in: query
          name: StartRecord
          schema:
            type: integer
            default: 1
          description: StartRecord
        - in: query
          name: EndRecord
          schema:
            type: integer
            default: 50
          description: EndRecord
      responses:
        '200':
          description: A list of user results.
          content:
            application/json:
              example:
                NumPages: '1'
                Page: '1'
                PageSize: '50'
                Total: '1'
                Start: '1'
                End: '1'
                FirstPageUri: /v3/results/new?UserId=10000001&PAGE=1
                LastPageUri: /v3/results/new?UserId=10000001&PAGE=1
                PreviousPageUri: ''
                NextPageUri: ''
                User:
                  RowNumber: '1'
                  UserId: '10000001'
                  InternalId: STU-001
                  CompletionPercentage: '100'
                  DateTimeTaken: '2022-03-02T17:59:40Z'
                  DateTimeLastUpdated: '2022-03-02T18:02:50Z'
                  DateTimeCompleted: '2022-03-02T18:02:50Z'
                  Account:
                    Id: '410'
                    Name: DEMO - Integration School
                  Assessment:
                    AdminGroupId: '4625'
                    AdminGroupName: General Sample
                    TestTakerGroupID: '54106'
                    TestTakerGroupName: Proctored
                  FirstName: Alice
                  LastName: Carter
                  EmailAddress: alice.carter@example.com
                  CompositeScore: '54.86'
                  DemographicData:
                    Gender: []
                    AgeRange: []
                    Ethnicity: []
                    HowManyCourses: []
                    RightSchoolForMe: []
                    FirstGeneration: []
                  AssessmentResults:
                    - Title: Learning Styles
                      Code: LearnStyles
                      IsComplete: '1'
                      AttemptNumber: '1'
                      Percent: '34.92'
                      PointsPossible: '63'
                      PointsAccumulated: '22'
                      SectionVersionID: '25'
                      Primary: Verbal
                      DateTimeCompleted: '2022-03-02T18:02:00Z'
                      ExtendedData:
                        - - Code: verbal
                            Title: Verbal
                            PointsPossible: '9'
                            PointsAccumulated: '5'
                          - Code: visual
                            Title: Visual
                            PointsPossible: '9'
                            PointsAccumulated: '3'
                          - Code: aural
                            Title: Aural
                            PointsPossible: '9'
                            PointsAccumulated: '3'
                          - Code: logical
                            Title: Logical
                            PointsPossible: '9'
                            PointsAccumulated: '3'
                          - Code: physical
                            Title: Physical
                            PointsPossible: '9'
                            PointsAccumulated: '3'
                          - Code: social
                            Title: Social
                            PointsPossible: '9'
                            PointsAccumulated: '2'
                          - Code: solitary
                            Title: Solitary
                            PointsPossible: '9'
                            PointsAccumulated: '3'
                    - Title: Life Factors
                      Code: LifeFactors
                      IsComplete: '1'
                      AttemptNumber: '1'
                      Percent: '51'
                      PointsPossible: '100'
                      PointsAccumulated: '51'
                      SectionVersionID: '24'
                      Readiness: fail
                      DateTimeCompleted: '2022-03-02T18:01:00Z'
                      ExtendedData:
                        - - Code: place
                            Title: Place
                            PointsPossible: '20'
                            PointsAccumulated: '11'
                          - Code: reason
                            Title: Reason
                            PointsPossible: '20'
                            PointsAccumulated: '4'
                          - Code: resources
                            Title: Resources
                            PointsPossible: '20'
                            PointsAccumulated: '10'
                          - Code: skills
                            Title: Skills
                            PointsPossible: '20'
                            PointsAccumulated: '10'
                          - Code: time
                            Title: Time
                            PointsPossible: '20'
                            PointsAccumulated: '16'
                    - Title: Reading Rate & Recall
                      Code: Reading
                      IsComplete: '1'
                      AttemptNumber: '1'
                      Percent: '10'
                      PointsPossible: '10'
                      PointsAccumulated: '1'
                      SectionVersionID: '14'
                      Wpm: '6210'
                      Readiness: fail
                      DateTimeCompleted: '2022-03-02T18:02:00Z'
                    - Title: Typing Speed & Accuracy
                      Code: Typing
                      IsComplete: '1'
                      AttemptNumber: '1'
                      Wpm: '0'
                      Accuracy: '0'
                      Readiness: fail
                      DateTimeCompleted: '2022-03-02T18:03:00Z'
              schema:
                type: object
                properties:
                  NumPages:
                    type: string
                    description: Total number of pages.
                  Page:
                    type: string
                    description: Current page number.
                  PageSize:
                    type: string
                    description: Number of records per page.
                  Total:
                    type: string
                    description: Total number of records.
                  Start:
                    type: string
                    description: Start record index for the current page.
                  End:
                    type: string
                    description: End record index for the current page.
                  FirstPageUri:
                    type: string
                    description: URI for the first page of results.
                  LastPageUri:
                    type: string
                    description: URI for the last page of results.
                  PreviousPageUri:
                    type: string
                    description: >-
                      URI for the previous page of results. Empty string if on
                      first page.
                  NextPageUri:
                    type: string
                    description: >-
                      URI for the next page of results. Empty string if on last
                      page.
                  User:
                    description: >-
                      One or more user result records. Returns an object when
                      there is a single result, or an array when there are
                      multiple results.
                    oneOf:
                      - $ref: '#/components/schemas/UserResult'
                      - type: array
                        items:
                          $ref: '#/components/schemas/UserResult'
components:
  schemas:
    UserResult:
      type: object
      properties:
        RowNumber:
          type: string
        UserId:
          type: string
        InternalId:
          type: string
        CompletionPercentage:
          type: string
          description: Percentage of the assessment completed (0-100).
        DateTimeTaken:
          type: string
          format: date-time
        DateTimeLastUpdated:
          type: string
          format: date-time
        DateTimeCompleted:
          type: string
          format: date-time
        Account:
          type: object
          properties:
            Id:
              type: string
            Name:
              type: string
        Assessment:
          type: object
          properties:
            AdminGroupId:
              type: string
            AdminGroupName:
              type: string
            TestTakerGroupID:
              type: string
            TestTakerGroupName:
              type: string
        FirstName:
          type: string
        LastName:
          type: string
        EmailAddress:
          type: string
          format: email
        CompositeScore:
          description: >-
            Overall composite score. Empty array when assessment is incomplete,
            string score when complete.
          oneOf:
            - type: string
            - type: array
              items: {}
        DemographicData:
          type: object
          description: Demographic data collected during assessment registration.
          properties:
            Gender:
              type: array
              items: {}
            AgeRange:
              type: array
              items: {}
            Ethnicity:
              type: array
              items: {}
            HowManyCourses:
              type: array
              items: {}
            RightSchoolForMe:
              type: array
              items: {}
            FirstGeneration:
              type: array
              items: {}
        AssessmentResults:
          description: >-
            Scores for each completed assessment section. Empty string when no
            sections have been completed.
          oneOf:
            - type: string
            - type: array
              items:
                type: object
                properties:
                  Title:
                    type: string
                    description: Human-readable section name.
                  Code:
                    type: string
                    description: Section code identifier (e.g. LearnStyles, LifeFactors).
                  IsComplete:
                    type: string
                    description: >-
                      Whether the section is complete. 1 = complete, 0 =
                      incomplete.
                  AttemptNumber:
                    type: string
                  Percent:
                    type: string
                    description: Percentage score for the section.
                  PointsPossible:
                    type: string
                  PointsAccumulated:
                    type: string
                  SectionVersionID:
                    type: string
                  DateTimeCompleted:
                    type: string
                    format: date-time
                  Readiness:
                    type: string
                    description: >-
                      Readiness determination. Typically 'pass' or 'fail'. Not
                      present for all sections.
                  Primary:
                    type: string
                    description: >-
                      Primary learning style. Only present for the LearnStyles
                      section.
                  Wpm:
                    type: string
                    description: >-
                      Words per minute. Only present for Reading and Typing
                      sections.
                  Accuracy:
                    type: string
                    description: >-
                      Typing accuracy percentage. Only present for the Typing
                      section.
                  ExtendedData:
                    type: array
                    description: >-
                      Detailed subscale scores. Only present for sections that
                      support subscales.
                    items:
                      type: array
                      items:
                        type: object
                        properties:
                          Code:
                            type: string
                            description: Subscale code identifier.
                          Title:
                            type: string
                            description: Human-readable subscale name.
                          PointsPossible:
                            type: string
                          PointsAccumulated:
                            type: string
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Basic authentication with username and password

````